Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.controlhaus.amazon
Interface AmazonClientControl

All Superinterfaces:
  org.controlhaus.xfire.client.XFireClientControl

All Known Implementing Classes:
  AmazonClientControlBean

    public interface AmazonClientControl

extends org.controlhaus.xfire.client.XFireClientControl

Auto-generated client stub for AWSECommerceService.

Nested Class Summary

Nested classes/interfaces inherited from interface org.controlhaus.xfire.client.XFireClientControl
`org.controlhaus.xfire.client.XFireClientControl.Asynchronous, org.controlhaus.xfire.client.XFireClientControl.Encoding, org.controlhaus.xfire.client.XFireClientControl.EndInvokeCallback, org.controlhaus.xfire.client.XFireClientControl.ServiceUrl, org.controlhaus.xfire.client.XFireClientControl.SoapHeader`

Method Summary
`void` | `beginBrowseNodeLookup(com.amazon.webservices.awseCommerceService.x20041019.BrowseNodeLookupDocument body)`
`void` | `beginCartAdd(com.amazon.webservices.awseCommerceService.x20041019.CartAddDocument body)`
`void` | `beginCartClear(com.amazon.webservices.awseCommerceService.x20041019.CartClearDocument body)`
`void` | `beginCartCreate(com.amazon.webservices.awseCommerceService.x20041019.CartCreateDocument body)`
`void` | `beginCartGet(com.amazon.webservices.awseCommerceService.x20041019.CartGetDocument body)`
`void` | `beginCartModify(com.amazon.webservices.awseCommerceService.x20041019.CartModifyDocument body)`
`void` | `beginCustomerContentLookup(com.amazon.webservices.awseCommerceService.x20041019.CustomerContentLookupDocument body)`
`void` | `beginCustomerContentSearch(com.amazon.webservices.awseCommerceService.x20041019.CustomerContentSearchDocument body)`
`void` | `beginHelp(com.amazon.webservices.awseCommerceService.x20041019.HelpDocument body)`
`void` | `beginItemLookup(com.amazon.webservices.awseCommerceService.x20041019.ItemLookupDocument body)`
`void` | `beginItemSearch(com.amazon.webservices.awseCommerceService.x20041019.ItemSearchDocument body)`
`void` | `beginListLookup(com.amazon.webservices.awseCommerceService.x20041019.ListLookupDocument body)`
`void` | `beginListSearch(com.amazon.webservices.awseCommerceService.x20041019.ListSearchDocument body)`
`void` | `beginMultiOperation(com.amazon.webservices.awseCommerceService.x20041019.MultiOperationDocument body)`
`void` | `beginSellerListingLookup(com.amazon.webservices.awseCommerceService.x20041019.SellerListingLookupDocument body)`
`void` | `beginSellerListingSearch(com.amazon.webservices.awseCommerceService.x20041019.SellerListingSearchDocument body)`
`void` | `beginSellerLookup(com.amazon.webservices.awseCommerceService.x20041019.SellerLookupDocument body)`
`void` | `beginSimilarityLookup(com.amazon.webservices.awseCommerceService.x20041019.SimilarityLookupDocument body)`
`void` | `beginTransactionLookup(com.amazon.webservices.awseCommerceService.x20041019.TransactionLookupDocument body)`
`com.amazon.webservices.awseCommerceService.x20041019.BrowseNodeLookupResponseDocument` | `BrowseNodeLookup(com.amazon.webservices.awseCommerceService.x20041019.BrowseNodeLookupDocument body)`
`com.amazon.webservices.awseCommerceService.x20041019.CartAddResponseDocument` | `CartAdd(com.amazon.webservices.awseCommerceService.x20041019.CartAddDocument body)`
`com.amazon.webservices.awseCommerceService.x20041019.CartClearResponseDocument` | `CartClear(com.amazon.webservices.awseCommerceService.x20041019.CartClearDocument body)`
`com.amazon.webservices.awseCommerceService.x20041019.CartCreateResponseDocument` | `CartCreate(com.amazon.webservices.awseCommerceService.x20041019.CartCreateDocument body)`
`com.amazon.webservices.awseCommerceService.x20041019.CartGetResponseDocument` | `CartGet(com.amazon.webservices.awseCommerceService.x20041019.CartGetDocument body)`
`com.amazon.webservices.awseCommerceService.x20041019.CartModifyResponseDocument` | `CartModify(com.amazon.webservices.awseCommerceService.x20041019.CartModifyDocument body)`
`com.amazon.webservices.awseCommerceService.x20041019.CustomerContentLookupResponseDocument` | `CustomerContentLookup(com.amazon.webservices.awseCommerceService.x20041019.CustomerContentLookupDocument body)`
`com.amazon.webservices.awseCommerceService.x20041019.CustomerContentSearchResponseDocument` | `CustomerContentSearch(com.amazon.webservices.awseCommerceService.x20041019.CustomerContentSearchDocument body)`
`com.amazon.webservices.awseCommerceService.x20041019.HelpResponseDocument` | `Help(com.amazon.webservices.awseCommerceService.x20041019.HelpDocument body)`
`com.amazon.webservices.awseCommerceService.x20041019.ItemLookupResponseDocument` | `ItemLookup(com.amazon.webservices.awseCommerceService.x20041019.ItemLookupDocument body)`
`com.amazon.webservices.awseCommerceService.x20041019.ItemSearchResponseDocument` | `ItemSearch(com.amazon.webservices.awseCommerceService.x20041019.ItemSearchDocument body)`
`com.amazon.webservices.awseCommerceService.x20041019.ListLookupResponseDocument` | `ListLookup(com.amazon.webservices.awseCommerceService.x20041019.ListLookupDocument body)`
`com.amazon.webservices.awseCommerceService.x20041019.ListSearchResponseDocument` | `ListSearch(com.amazon.webservices.awseCommerceService.x20041019.ListSearchDocument body)`
`com.amazon.webservices.awseCommerceService.x20041019.MultiOperationResponseDocument` | `MultiOperation(com.amazon.webservices.awseCommerceService.x20041019.MultiOperationDocument body)`
`com.amazon.webservices.awseCommerceService.x20041019.SellerListingLookupResponseDocument` | `SellerListingLookup(com.amazon.webservices.awseCommerceService.x20041019.SellerListingLookupDocument body)`
`com.amazon.webservices.awseCommerceService.x20041019.SellerListingSearchResponseDocument` | `SellerListingSearch(com.amazon.webservices.awseCommerceService.x20041019.SellerListingSearchDocument body)`
`com.amazon.webservices.awseCommerceService.x20041019.SellerLookupResponseDocument` | `SellerLookup(com.amazon.webservices.awseCommerceService.x20041019.SellerLookupDocument body)`
`com.amazon.webservices.awseCommerceService.x20041019.SimilarityLookupResponseDocument` | `SimilarityLookup(com.amazon.webservices.awseCommerceService.x20041019.SimilarityLookupDocument body)`
`com.amazon.webservices.awseCommerceService.x20041019.TransactionLookupResponseDocument` | `TransactionLookup(com.amazon.webservices.awseCommerceService.x20041019.TransactionLookupDocument body)`

Methods inherited from interface org.controlhaus.xfire.client.XFireClientControl
`beginInvoke, invoke, invoke`

Method Detail

### Help

    com.amazon.webservices.awseCommerceService.x20041019.HelpResponseDocument Help(com.amazon.webservices.awseCommerceService.x20041019.HelpDocument body)
                                                                                   throws java.io.IOException,
                                                                                          org.codehaus.xfire.fault.XFireFault

  Throws:
    `java.io.IOException`
    `org.codehaus.xfire.fault.XFireFault`

### beginHelp

    void beginHelp(com.amazon.webservices.awseCommerceService.x20041019.HelpDocument body)

### ItemSearch

    com.amazon.webservices.awseCommerceService.x20041019.ItemSearchResponseDocument ItemSearch(com.amazon.webservices.awseCommerceService.x20041019.ItemSearchDocument body)
                                                                                               throws java.io.IOException,
                                                                                                      org.codehaus.xfire.fault.XFireFault

  Throws:
    `java.io.IOException`
    `org.codehaus.xfire.fault.XFireFault`

### beginItemSearch

    void beginItemSearch(com.amazon.webservices.awseCommerceService.x20041019.ItemSearchDocument body)

### ItemLookup

    com.amazon.webservices.awseCommerceService.x20041019.ItemLookupResponseDocument ItemLookup(com.amazon.webservices.awseCommerceService.x20041019.ItemLookupDocument body)
                                                                                               throws java.io.IOException,
                                                                                                      org.codehaus.xfire.fault.XFireFault

  Throws:
    `java.io.IOException`
    `org.codehaus.xfire.fault.XFireFault`

### beginItemLookup

    void beginItemLookup(com.amazon.webservices.awseCommerceService.x20041019.ItemLookupDocument body)

### BrowseNodeLookup

    com.amazon.webservices.awseCommerceService.x20041019.BrowseNodeLookupResponseDocument BrowseNodeLookup(com.amazon.webservices.awseCommerceService.x20041019.BrowseNodeLookupDocument body)
                                                                                                           throws java.io.IOException,
                                                                                                                  org.codehaus.xfire.fault.XFireFault

  Throws:
    `java.io.IOException`
    `org.codehaus.xfire.fault.XFireFault`

### beginBrowseNodeLookup

    void beginBrowseNodeLookup(com.amazon.webservices.awseCommerceService.x20041019.BrowseNodeLookupDocument body)

### ListSearch

    com.amazon.webservices.awseCommerceService.x20041019.ListSearchResponseDocument ListSearch(com.amazon.webservices.awseCommerceService.x20041019.ListSearchDocument body)
                                                                                               throws java.io.IOException,
                                                                                                      org.codehaus.xfire.fault.XFireFault

  Throws:
    `java.io.IOException`
    `org.codehaus.xfire.fault.XFireFault`

### beginListSearch

    void beginListSearch(com.amazon.webservices.awseCommerceService.x20041019.ListSearchDocument body)

### ListLookup

    com.amazon.webservices.awseCommerceService.x20041019.ListLookupResponseDocument ListLookup(com.amazon.webservices.awseCommerceService.x20041019.ListLookupDocument body)
                                                                                               throws java.io.IOException,
                                                                                                      org.codehaus.xfire.fault.XFireFault

  Throws:
    `java.io.IOException`
    `org.codehaus.xfire.fault.XFireFault`

### beginListLookup

    void beginListLookup(com.amazon.webservices.awseCommerceService.x20041019.ListLookupDocument body)

### CustomerContentSearch

    com.amazon.webservices.awseCommerceService.x20041019.CustomerContentSearchResponseDocument CustomerContentSearch(com.amazon.webservices.awseCommerceService.x20041019.CustomerContentSearchDocument body)
                                                                                                                     throws java.io.IOException,
                                                                                                                            org.codehaus.xfire.fault.XFireFault

  Throws:
    `java.io.IOException`
    `org.codehaus.xfire.fault.XFireFault`

### beginCustomerContentSearch

    void beginCustomerContentSearch(com.amazon.webservices.awseCommerceService.x20041019.CustomerContentSearchDocument body)

### CustomerContentLookup

    com.amazon.webservices.awseCommerceService.x20041019.CustomerContentLookupResponseDocument CustomerContentLookup(com.amazon.webservices.awseCommerceService.x20041019.CustomerContentLookupDocument body)
                                                                                                                     throws java.io.IOException,
                                                                                                                            org.codehaus.xfire.fault.XFireFault

  Throws:
    `java.io.IOException`
    `org.codehaus.xfire.fault.XFireFault`

### beginCustomerContentLookup

    void beginCustomerContentLookup(com.amazon.webservices.awseCommerceService.x20041019.CustomerContentLookupDocument body)

### SimilarityLookup

    com.amazon.webservices.awseCommerceService.x20041019.SimilarityLookupResponseDocument SimilarityLookup(com.amazon.webservices.awseCommerceService.x20041019.SimilarityLookupDocument body)
                                                                                                           throws java.io.IOException,
                                                                                                                  org.codehaus.xfire.fault.XFireFault

  Throws:
    `java.io.IOException`
    `org.codehaus.xfire.fault.XFireFault`

### beginSimilarityLookup

    void beginSimilarityLookup(com.amazon.webservices.awseCommerceService.x20041019.SimilarityLookupDocument body)

### SellerLookup

    com.amazon.webservices.awseCommerceService.x20041019.SellerLookupResponseDocument SellerLookup(com.amazon.webservices.awseCommerceService.x20041019.SellerLookupDocument body)
                                                                                                   throws java.io.IOException,
                                                                                                          org.codehaus.xfire.fault.XFireFault

  Throws:
    `java.io.IOException`
    `org.codehaus.xfire.fault.XFireFault`

### beginSellerLookup

    void beginSellerLookup(com.amazon.webservices.awseCommerceService.x20041019.SellerLookupDocument body)

### CartGet

    com.amazon.webservices.awseCommerceService.x20041019.CartGetResponseDocument CartGet(com.amazon.webservices.awseCommerceService.x20041019.CartGetDocument body)
                                                                                         throws java.io.IOException,
                                                                                                org.codehaus.xfire.fault.XFireFault

  Throws:
    `java.io.IOException`
    `org.codehaus.xfire.fault.XFireFault`

### beginCartGet

    void beginCartGet(com.amazon.webservices.awseCommerceService.x20041019.CartGetDocument body)

### CartCreate

    com.amazon.webservices.awseCommerceService.x20041019.CartCreateResponseDocument CartCreate(com.amazon.webservices.awseCommerceService.x20041019.CartCreateDocument body)
                                                                                               throws java.io.IOException,
                                                                                                      org.codehaus.xfire.fault.XFireFault

  Throws:
    `java.io.IOException`
    `org.codehaus.xfire.fault.XFireFault`

### beginCartCreate

    void beginCartCreate(com.amazon.webservices.awseCommerceService.x20041019.CartCreateDocument body)

### CartAdd

    com.amazon.webservices.awseCommerceService.x20041019.CartAddResponseDocument CartAdd(com.amazon.webservices.awseCommerceService.x20041019.CartAddDocument body)
                                                                                         throws java.io.IOException,
                                                                                                org.codehaus.xfire.fault.XFireFault

  Throws:
    `java.io.IOException`
    `org.codehaus.xfire.fault.XFireFault`

### beginCartAdd

    void beginCartAdd(com.amazon.webservices.awseCommerceService.x20041019.CartAddDocument body)

### CartModify

    com.amazon.webservices.awseCommerceService.x20041019.CartModifyResponseDocument CartModify(com.amazon.webservices.awseCommerceService.x20041019.CartModifyDocument body)
                                                                                               throws java.io.IOException,
                                                                                                      org.codehaus.xfire.fault.XFireFault

  Throws:
    `java.io.IOException`
    `org.codehaus.xfire.fault.XFireFault`

### beginCartModify

    void beginCartModify(com.amazon.webservices.awseCommerceService.x20041019.CartModifyDocument body)

### CartClear

    com.amazon.webservices.awseCommerceService.x20041019.CartClearResponseDocument CartClear(com.amazon.webservices.awseCommerceService.x20041019.CartClearDocument body)
                                                                                             throws java.io.IOException,
                                                                                                    org.codehaus.xfire.fault.XFireFault

  Throws:
    `java.io.IOException`
    `org.codehaus.xfire.fault.XFireFault`

### beginCartClear

    void beginCartClear(com.amazon.webservices.awseCommerceService.x20041019.CartClearDocument body)

### TransactionLookup

    com.amazon.webservices.awseCommerceService.x20041019.TransactionLookupResponseDocument TransactionLookup(com.amazon.webservices.awseCommerceService.x20041019.TransactionLookupDocument body)
                                                                                                             throws java.io.IOException,
                                                                                                                    org.codehaus.xfire.fault.XFireFault

  Throws:
    `java.io.IOException`
    `org.codehaus.xfire.fault.XFireFault`

### beginTransactionLookup

    void beginTransactionLookup(com.amazon.webservices.awseCommerceService.x20041019.TransactionLookupDocument body)

### SellerListingSearch

    com.amazon.webservices.awseCommerceService.x20041019.SellerListingSearchResponseDocument SellerListingSearch(com.amazon.webservices.awseCommerceService.x20041019.SellerListingSearchDocument body)
                                                                                                                 throws java.io.IOException,
                                                                                                                        org.codehaus.xfire.fault.XFireFault

  Throws:
    `java.io.IOException`
    `org.codehaus.xfire.fault.XFireFault`

### beginSellerListingSearch

    void beginSellerListingSearch(com.amazon.webservices.awseCommerceService.x20041019.SellerListingSearchDocument body)

### SellerListingLookup

    com.amazon.webservices.awseCommerceService.x20041019.SellerListingLookupResponseDocument SellerListingLookup(com.amazon.webservices.awseCommerceService.x20041019.SellerListingLookupDocument body)
                                                                                                                 throws java.io.IOException,
                                                                                                                        org.codehaus.xfire.fault.XFireFault

  Throws:
    `java.io.IOException`
    `org.codehaus.xfire.fault.XFireFault`

### beginSellerListingLookup

    void beginSellerListingLookup(com.amazon.webservices.awseCommerceService.x20041019.SellerListingLookupDocument body)

### MultiOperation

    com.amazon.webservices.awseCommerceService.x20041019.MultiOperationResponseDocument MultiOperation(com.amazon.webservices.awseCommerceService.x20041019.MultiOperationDocument body)
                                                                                                       throws java.io.IOException,
                                                                                                              org.codehaus.xfire.fault.XFireFault

  Throws:
    `java.io.IOException`
    `org.codehaus.xfire.fault.XFireFault`

### beginMultiOperation

    void beginMultiOperation(com.amazon.webservices.awseCommerceService.x20041019.MultiOperationDocument body)

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Controlhaus. All Rights Reserved.